#
# spec file for package yast2-alternatives
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-alternatives
Version:        5.0.0
Release:        1.8
Summary:        YaST2 - Manage Update-alternatives switching
License:        GPL-2.0-only
Group:          System/YaST
URL:            https://github.com/yast/yast-alternatives
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-devtools >= 4.2.2
BuildRequires:  yast2-ruby-bindings
# For test
BuildRequires:  rubygem(%{rb_default_ruby_abi}:rspec)
# For install
BuildRequires:  rubygem(%{rb_default_ruby_abi}:yast-rake)

%description
A YaST2 module to manage update alternatives switching

%prep
%setup -q

%build

%check
%yast_check

%install
%yast_install
%yast_metainfo

%files
%{yast_clientdir}
%{yast_libdir}
%{yast_desktopdir}
%{yast_metainfodir}
%{yast_icondir}
%license COPYING
%doc README.md

%changelog
* Wed Aug 30 2023 Josef Reidinger <jreidinger@suse.cz>
- 5.0.0 (bsc#1185510)
* Fri Mar  3 2023 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.6.0 (bsc#1208913)
* Wed Apr  6 2022 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.5.0 for openSUSE Leap 15.4 / Tumbleweed
  (bsc#1198109)
* Thu May  6 2021 Ladislav Slezák <lslezak@suse.cz>
- 4.4.0 (bsc#1185510)
* Thu Dec 17 2020 Jens K. <jens@karatek.net>
- Change .desktop file so module launches with xdg-su (bsc#1180173).
- 4.3.1
* Wed Nov 18 2020 Josef Reidinger <jreidinger@suse.com>
- Handle properly help command for alternatives client
  (bsc#1172340)
- 4.3.0
* Thu Jan 16 2020 Dominique Leuenberger <dimstar@opensuse.org>
- Clean spec file using spec-cleaner (main goal: use %%license,
  boo#1082318).
- 4.2.3
* Mon Aug 26 2019 schubi@suse.de
- Using rb_default_ruby_abi tag in the spec file in order to
  handle several ruby versions (bsc#1146403).
- 4.2.2
* Fri Jul 19 2019 Ladislav Slezák <lslezak@suse.cz>
- Added "BuildRequires: update-desktop-files"
- Related to the previous desktop file changes (fate#319035)
- 4.2.1
* Fri May 31 2019 Stasiek Michalski <hellcp@mailbox.org>
- Add metainfo (fate#319035)
- Revamp spec
- Replace GenericName with Comment
- 4.2.0
* Fri Nov 23 2018 Stasiek Michalski <hellcp@mailbox.org>
- Provide icon with module (boo#1109310)
- 4.1.0
* Fri Apr  6 2018 mfilka@suse.com
- bnc#1087957 - version bump
- 4.0.0
* Mon Mar 13 2017 ancor@suse.com
- Fixed RPM packaging error (bsc#1029088)
- 3.2.0
* Mon Aug  8 2016 joaquinmnsm@gmail.com
- Added textdomain to enable translations. (bsc#1019091)
- Enabled auto submit to factory.
- Added yardopts file for code documentation.
- 3.1.4
* Wed Jul 27 2016 joaquinmnsm@gmail.com
- Shows a confirmation dialog to continue if don't have permissions.
- Fixed crash when try to save changes without permissions.
- 3.1.3
* Fri Jul 22 2016 joaquinmnsm@gmail.com
- Added entry in YaST Control Center and system menu.
- 3.1.2
* Thu Jul 21 2016 joaquinmnsm@gmail.com
- Added help button.
- 3.1.1
* Tue Jun 28 2016 joaquinmnsm@gmail.com
- Initial version
- 3.1.0
